Bug 1275980 - The uninstall playbook should remove openshift packages
The uninstall playbook should remove openshift packages
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 05:36 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-28 05:36:16 EDT
Description of problem:
The uninstall playbook should remove openshift packages


Version-Release number of selected component (if applicable):
https://github.com/brenton/openshift-ansible.git uninstall

How reproducible:
100%


Steps to Reproduce:
1. install env via ose
2. uninstall env
$ ansible-playbook -i hosts openshift-ansible/playbooks/adhoc/atomic_openshift_tutorial_reset.yml




Actual results:
TASK: [yum name={{ item }} state=absent] ************************************** 
skipping: [10.66.79.140]
skipping: [10.66.79.142]
skipping: [10.66.79.154]
the script skip this step

# rpm -qa|grep openshift
atomic-openshift-clients-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64
atomic-openshift-node-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64
atomic-openshift-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64
tuned-profiles-atomic-openshift-node-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64
atomic-openshift-sdn-ovs-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64
atomic-openshift-master-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64

Expected results:
The openshift package should be removed
Additional info:
Comment 1 Brenton Leanhardt 2015-10-28 11:08:25 EDT
Sorry for the confusion please test this functionality using 
https://github.com/openshift/openshift-ansible/blob/master/playbooks/adhoc/uninstall.yml and openshift-ansible-3.0.3-1.git.2.d753108.el7aos from the latest puddle.

Both of those should also delete the kubeconfig for non-root installs.
Comment 2 Ma xiaoqiang 2015-10-29 00:53:00 EDT
The packages ware removed. Move the issue to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.